## org.eclipse.emf.compare.ui.editor
Class ModelCompareEditorLauncher

    java.lang.Object
      org.eclipse.emf.compare.ui.editor.ModelCompareEditorLauncher

All Implemented Interfaces:
  org.eclipse.ui.IEditorLauncher

    public class ModelCompareEditorLauncher

extends java.lang.Object
implements org.eclipse.ui.IEditorLauncher

This launcher will be called to open a CompareEditor for the edition of emfdiff files.

Constructor Summary
`ModelCompareEditorLauncher()`

Method Summary
`void` `open(org.eclipse.core.runtime.IPath file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelCompareEditorLauncher

    public ModelCompareEditorLauncher()

Method Detail

### open

    public void open(org.eclipse.core.runtime.IPath file)

  Specified by:
    `open` in interface `org.eclipse.ui.IEditorLauncher`
  See Also:
    `IEditorLauncher.open(IPath)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.